#include <stdio.h>
#include <stdlib.h>

int main()
{
  long int d, k, v, q, x;
  int j;
  double z, n, N, y;
  scanf("%ld", &x);

  while (j==0)
  {
      z=x%10;
    if (z=0)
          k++;
    if (z!=0)
    {
        j=1;
        q=10^k;
    }

  }
    while (q<1)
    {
        d=5;
    y=x%(d*10^k);
        if (y=0)
            N++;
        if (y!=0)
        {
           N=z/(2*q);
            N=N+n;
        }

        printf("%lf");
    }
}